IFROUTE(5)

NAME
ifrule - configure routing policy rules

SYNOPSIS
/etc/sysconfig/network/ifrule-<interface>

DESCRIPTION
The /etc/sysconfig/network/ifrule-<interface> file is parsed together with the /etc/sysconfig/network/ifcfg-<interface> file to apply static routing policy rules while setup of the given interface.

The currently assigned rules can be seen by issuing:

    ip -4 rule show ; ip -6 rule show

SYNTAX
The files are using a quite similar syntax as the ip rule add command, prepended with a ipv4 or ipv6 address family. The address family can be omitted, when either the from or the to prefix contains an IP address. Lines beginning with # and blank lines are ignored.

EXAMPLES

Example rules causing to lookup separate routing tables depending on the source IP address.

ipv4 from 192.168.235.42   table 42
ipv4 from 192.168.156.51   table 51
ipv6 from 2001:DB8:235::42 table 42
ipv6 from 2001:DB8:156::51 table 51

Custom table id names can be defined in /etc/iproute2/rt_tables.

Note: nat rules are not supported by current kernels (>2.6) any more.

FILES
/etc/sysconfig/network/ifule-<interface>

AUTHOR
Marius Tomaschewski

SEE ALSO
ip-rule(8) /etc/iproute2/rt_tables